## org.eclipse.emf.compare.match.engine
Class MatchSettings

    java.lang.Object
      org.eclipse.emf.compare.match.engine.MatchSettings

    public class MatchSettings

extends java.lang.Object

Class wrapping the settings one can specify for the Match engine of EMF Compare.

Since:
  1.1

Constructor Summary
`MatchSettings()` Create a new Match Setting.

Method Summary
`java.lang.Object` `getProgressMonitor()` return the progress monitor to use during the match process.
`int` `getSearchWindow()` return the matching search window.
`void` `ignoreEcoreID(boolean ignore)` Activate or deactivate the fact that the match engine should ignore ID's attributes defined in the Ecore model.
`void` `ignoreXMIID(boolean ignore)` Activate or deactivate the fact that the match engine should ignore XMI ID's.
`boolean` `isIgnoringID()` return true if the match should ignore business ID's.
`boolean` `isIgnoringXMIID()` return true if the match should ignore XMI Id's.
`void` `matchDistinctMetamodels(boolean distinctMetamodels)` Activate or deactivate the fact that the match engine will try to match element even if they come from a different Ecore model.
`void` `setProgressMonitor(java.lang.Object monitor)` Set a progress monitor used during the match.
`void` `setSearchWindow(int windowSize)` Set the search window size.
`boolean` `shouldMatchDistinctMetamodels()` return true if we should allow to match distinct metamodels.
`void` `update(java.util.Map<java.lang.String,java.lang.Object> options)` Update the setting object using a standard options map as defined in the API.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchSettings

    public MatchSettings()

  Create a new Match Setting.

Method Detail

### update

    public void update(java.util.Map<java.lang.String,java.lang.Object> options)

  Update the setting object using a standard options map as defined in the API. Non specified options will keep the default values as defined in `MatchOptions`.

  Parameters:
    `options` - the option map.

### setSearchWindow

    public void setSearchWindow(int windowSize)

  Set the search window size.

  Parameters:
    `windowSize` - set the search window size

### ignoreXMIID

    public void ignoreXMIID(boolean ignore)

  Activate or deactivate the fact that the match engine should ignore XMI ID's.

  Parameters:
    `ignore` - true to ignore XMIId, false to use them for matching.

### ignoreEcoreID

    public void ignoreEcoreID(boolean ignore)

  Activate or deactivate the fact that the match engine should ignore ID's attributes defined in the Ecore model.

  Parameters:
    `ignore` - true to ignore ID's attribute, false to use them for matching.

### matchDistinctMetamodels

    public void matchDistinctMetamodels(boolean distinctMetamodels)

  Activate or deactivate the fact that the match engine will try to match element even if they come from a different Ecore model.

  Parameters:
    `distinctMetamodels` - true if we

### setProgressMonitor

    public void setProgressMonitor(java.lang.Object monitor)

  Set a progress monitor used during the match.

  Parameters:
    `monitor` - the progressmonitor to use.

### getSearchWindow

    public final int getSearchWindow()

  return the matching search window.

  Returns:
    the matching search window.

### isIgnoringXMIID

    public final boolean isIgnoringXMIID()

  return true if the match should ignore XMI Id's.

  Returns:
    true if the match should ignore XMI Id's

### isIgnoringID

    public final boolean isIgnoringID()

  return true if the match should ignore business ID's.

  Returns:
    true if the match should ignore business ID's.

### shouldMatchDistinctMetamodels

    public final boolean shouldMatchDistinctMetamodels()

  return true if we should allow to match distinct metamodels.

  Returns:
    true if we should allow to match distinct metamodels.

### getProgressMonitor

    public final java.lang.Object getProgressMonitor()

  return the progress monitor to use during the match process.

  Returns:
    the progress monitor to use during the match process.

Copyright 2006 IBM Corporation and others. All Rights Reserved.